package eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense.towers;

import net.minestom.server.entity.EntityCreature;
import net.minestom.server.entity.EntityType;

public class BlazeTower extends ShootingTower {
    public BlazeTower() {
        super(EntityType.BLAZE, 2, 2, 15);
    }

    @Override
    protected void attack(EntityCreature enemy) {
        this.swingMainHand();
        this.shootProjectile(enemy, EntityType.FIREBALL, 2, 0);
    }
}
